<?php
if (!empty($instance['image'])) {
$thumb_url_array = wp_get_attachment_image_src($instance['image'], 'full', true);
$thumb_url = $thumb_url_array[0];
}
?>
<div class="eskimo-author-box">
    <?php if (!empty($instance['image'])) { ?>
    <div class="eskimo-author-img">
        <img src="<?php echo $thumb_url; ?>" alt="<?php echo esc_html($instance['heading']); ?>" />
    </div>
    <?php } ?>
    <<?php echo esc_attr($instance['headinglevel']); ?>><span><?php echo esc_html($instance['heading']); ?></span></<?php echo esc_attr($instance['headinglevel']); ?>>
    <p class="eskimo-author-subtitle"><?php echo esc_html($instance['subtitle']); ?></p>
    <p class="eskimo-author-description"><?php echo wp_kses_post($instance['description']); ?></p>
    <?php if(!empty($instance['viewmore'])) { ?>
    <div class="eskimo-author-box-btn">
        <a class="btn btn-default" href="<?php echo sow_esc_url($instance['viewmore']); ?>"><?php echo esc_html($instance['buttontext']); ?></a>
    </div>
    <?php } ?>
</div>