<?php
$eskimo_selector_pseudo_query = $instance['b_section']['posts'];
$eskimo_random_id = rand();

// Process the post selector pseudo query.
$eskimo_processed_query = siteorigin_widget_post_selector_process_query( $eskimo_selector_pseudo_query);

// Use the processed post selector query to find posts.
$eskimo_query_result = new WP_Query( $eskimo_processed_query );
?>

<?php if (!empty($instance['a_section']['heading'])) { ?>
<div class="eskimo-widget-title">
    <<?php echo esc_attr($instance['a_section']['headinglevel']); ?> class="eskimo-carousel-title"><span><?php echo esc_attr($instance['a_section']['heading']); ?></span></<?php echo esc_attr($instance['a_section']['headinglevel']); ?>>
</div>
<?php } ?>

<div class="eskimo-carousel-container">
    <?php if(!empty($instance['d_section']['viewmore'])) { ?>
<div class="eskimo-carousel-view-more">
    <a href="<?php echo sow_esc_url($instance['d_section']['viewmore']); ?>"><?php echo esc_attr($instance['d_section']['buttontext']); ?></a>
</div>    
<?php } ?>   
    <div id="eskimo-post-carousel-<?php echo esc_attr($eskimo_random_id) ?>" class="eskimo-carousel">
<?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
<?php
$eskimo_post_type = get_post_type(get_the_id());
if ($eskimo_post_type == "product") {
    get_template_part( 'templates/woo/xsmasonry', 'template');
} else {
    get_template_part( 'templates/xsmasonry', 'template');
}
?>        
<?php endwhile; ?>        
    </div>
</div>
<script type="text/javascript">
(function ($) {
"use strict";    
$(document).ready(function () {
    $('#eskimo-post-carousel-<?php echo esc_attr($eskimo_random_id) ?>').slick({
        infinite: false,
        slidesToScroll: 1,
        <?php if ( is_rtl() ) { ?>
        rtl: true,
        <?php } ?>
        arrows: true,
        dots : false,
        <?php if ($instance['c_section']['columns'] == 'onecolumn') { ?>
        adaptiveHeight: true,
        slidesToShow: 1
        <?php } else if ($instance['c_section']['columns'] == 'twocolumns') { ?>
        slidesToShow: 2,
        responsive: [{breakpoint: 576,settings: {slidesToShow: 1}}]
        <?php } else { ?>
        slidesToShow: 3,
        responsive: [{breakpoint: 992,settings: {slidesToShow: 2}},{breakpoint: 576,settings: {slidesToShow: 1}}]
        <?php } ?>                                                                      
    });
    $('#eskimo-post-carousel-<?php echo esc_attr($eskimo_random_id) ?>').css('opacity', '1');
});
})(jQuery);        
</script>
<?php wp_reset_postdata(); ?>