</div>
</main>
<footer id="eskimo-footer">
    <div class="container">
        <?php if ( is_active_sidebar( 'eskimo_footer_widgets' ) ) { ?>
        <div class="eskimo-footer-wrapper">
            <?php if ( is_active_sidebar( 'eskimo_footer_widgets' ) ) { dynamic_sidebar( 'eskimo_footer_widgets' ); } ?>
        </div>
        <?php } ?>
        <?php $eskimo_footermessage = get_theme_mod('eskimo_footermessage'); ?>
        <?php if ($eskimo_footermessage) { ?>
        <div class="eskimo-footer-credits">
            <p><?php echo wp_kses_post($eskimo_footermessage); ?></p>
        </div>
        <?php } ?>
    </div>
</footer>
</div>
<a id="eskimo-gototop" href="#"><i class="fa fa-chevron-up"></i></a>
<?php 
if (( class_exists( 'woocommerce' ) ) && (is_woocommerce() || is_cart() || is_checkout() || is_account_page() || is_page_template('page_template_1.php'))) {
    get_template_part( 'templates/woo/panel', 'template'); 
} else {
    get_template_part( 'templates/panel', 'template'); 
}
?>
<?php get_template_part( 'templates/searchfw', 'template'); ?>
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>