<?php
$eskimo_selector_pseudo_query = $instance['b_section']['posts'];

// Process the post selector pseudo query.
$eskimo_processed_query = siteorigin_widget_post_selector_process_query( $eskimo_selector_pseudo_query );

// Use the processed post selector query to find posts.
$eskimo_query_result = new WP_Query( $eskimo_processed_query );
?>

<?php if (!empty($instance['a_section']['heading'])) { ?>
<div class="eskimo-widget-title">
    <<?php echo esc_attr($instance['a_section']['headinglevel']); ?> class="eskimo-title-with-border"><span><?php echo esc_attr($instance['a_section']['heading']); ?></span></<?php echo esc_attr($instance['a_section']['headinglevel']); ?>>
</div>
<?php } ?>
<?php 
if ($instance['b_section']['columns'] == 'fullwidth') {
    while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post();
    $eskimo_post_type = get_post_type(get_the_id());
    if ($eskimo_post_type == "product") {
        get_template_part( 'templates/woo/post', 'template');
    } else {
        get_template_part( 'templates/post', 'template');
    }
    endwhile;
    wp_reset_postdata();
} elseif ($instance['b_section']['columns'] == 'eskimo-three-columns') { ?>
<div class="eskimo-masonry-grid small-masonry">
    <div class="eskimo-three-columns" data-columns>    
<?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
<?php $eskimo_post_type = get_post_type(get_the_id()); ?>        
<?php
if ($eskimo_post_type == "product") {
    get_template_part( 'templates/woo/xsmasonry', 'template');
} else {
    get_template_part( 'templates/xsmasonry', 'template');
}
?>
<?php endwhile; ?>
    </div>
</div>    
<?php } elseif ($instance['b_section']['columns'] == 'eskimo-two-columns') { ?>   
<div class="eskimo-masonry-grid">
    <div class="eskimo-two-columns" data-columns>    
<?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
<?php $eskimo_post_type = get_post_type(get_the_id()); ?>        
<?php
if ($eskimo_post_type == "product") {
    get_template_part( 'templates/woo/masonry', 'template');
} else {
    get_template_part( 'templates/masonry', 'template');
}
?>
<?php endwhile; ?>
    </div>
</div>    
<?php } else { ?>
<div class="eskimo-masonry-grid">
    <div class="eskimo-one-column" data-columns>    
<?php while($eskimo_query_result->have_posts()) : $eskimo_query_result->the_post(); ?>
<?php $eskimo_post_type = get_post_type(get_the_id()); ?>        
<?php
if ($eskimo_post_type == "product") {
    get_template_part( 'templates/woo/masonry', 'template');
} else {
    get_template_part( 'templates/masonry', 'template');
}
?>
<?php endwhile; ?>
    </div>
</div>
<?php } ?>
<?php if(!empty($instance['c_section']['viewmore'])) { ?>
<div class="eskimo-view-more">
    <a class="btn btn-default" href="<?php echo sow_esc_url($instance['c_section']['viewmore']); ?>"><?php echo esc_attr($instance['c_section']['buttontext']); ?></a>
</div>    
<?php } ?>
<?php wp_reset_postdata(); ?>    